Generator Class Reference

`#include <BitVector.h>`

Inheritance diagram for Generator:

## Public Member Functions

| Generator (uint64_t wCoeff, unsigned wLen)
void | clear ()
Accessors
uint64_t | state () const
unsigned | size () const
void | syndromeShift (unsigned inBit)
void | encoderShift (unsigned inBit)

## Detailed Description

Shift-register (LFSR) generator.

## Constructor & Destructor Documentation

## Generator()

Generator::Generator | ( | uint64_t | wCoeff,
|  | unsigned | wLen )

inline

Referenced by Parity::Parity().

## Member Function Documentation

## clear()

void Generator::clear | ( |  | ) |

inline

## encoderShift()

void Generator::encoderShift | ( | unsigned | inBit | ) |

inline

Update the generator state by one cycle. This is in the .h for inlining.

## size()

unsigned Generator::size | ( |  | ) | const

inline

## state()

uint64_t Generator::state | ( |  | ) | const

inline

## syndromeShift()

void Generator::syndromeShift | ( | unsigned | inBit | ) |

inline

Calculate one bit of a syndrome. This is in the .h for inlining.

The documentation for this class was generated from the following file:

- BitVector.h